Subject: [PATCH] gnu: u-boot: Update to 2020.04.

From: Pierre Langlois <[email-masked]>
Date: Sat, 25 Apr 2020 00:00:47 +0200

Hi all!

Vincent Legoll writes:

> Hello,
>
> On 23/04/2020 21:46, Pierre Langlois wrote:
>> Switching u-boot's dependency on sdl to sdl2 fixed it for me locally!
>>
>> I can send a patch tomorrow if nobody beats me to it :-)
>
> The u-boot sandbox switched to SDL2 recently, see:
>
> https://gitlab.denx.de/u-boot/u-boot/-/commit/96d0cd460430f18d0f22eead5409ed3dc53b4c4e

As promised, here's a patch to update u-boot again but with sdl switched
to sdl2.

Vagrant, I've kept you as the original author, and just added a
co-authored by note in the commit message, I think that's how we do
things right?

Thanks,
Pierre

>From e2ccdcd01e520c1d37a91d81acd05fbdf5044243 Mon Sep 17 00:00:00 2001
From: Vagrant Cascadian <[email-masked]>
Date: Tue, 14 Apr 2020 23:14:01 -0700
Subject: [PATCH] gnu: u-boot: Update to 2020.04.

* gnu/packages/bootloaders (u-boot): Update to 2020.04.
[native-inputs]: Replace sdl with sdl2.

Co-authored-by: Pierre Langlois <[email-masked]>
---
 gnu/packages/bootloaders.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/bootloaders.scm b/gnu/packages/bootloaders.scm
index 2a6e0707b2..666562762f 100644
--- a/gnu/packages/bootloaders.scm
+++ b/gnu/packages/bootloaders.scm
@@ -12,6 +12,7 @@
 ;;; Copyright © 2019 Mathieu Othacehe <[email-masked]>
 ;;; Copyright © 2020 Björn Höfling <[email-masked]>
 ;;; Copyright © 2018, 2019, 2020 Vagrant Cascadian <[email-masked]>
+;;; Copyright © 2020 Pierre Langlois <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -400,7 +401,7 @@ tree binary files.  These are board description files used by Linux and BSD.")
 (define u-boot
   (package
     (name "u-boot")
-    (version "2020.01")
+    (version "2020.04")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -408,7 +409,7 @@ tree binary files.  These are board description files used by Linux and BSD.")
                     "u-boot-" version ".tar.bz2"))
               (sha256
                (base32
-                "1w9ml4jl15q6ixpdqzspxjnl7d3rgxd7f99ms1xv5c8869h3qida"))))
+                "0wjkasnz87q86hx93inspdjfjsinmxi87bcvj30c773x0fpjlwzy"))))
     (native-inputs
      `(("bc" ,bc)
        ("bison" ,bison)
@@ -419,7 +420,7 @@ tree binary files.  These are board description files used by Linux and BSD.")
        ("python" ,python)
        ("python-coverage" ,python-coverage)
        ("python-pytest" ,python-pytest)
-       ("sdl" ,sdl)
+       ("sdl2" ,sdl2)
        ("swig" ,swig)))
     (build-system  gnu-build-system)
     (home-page "https://www.denx.de/wiki/U-Boot/")
-- 
2.26.2